%global pkg_name        DBIx-Printf
%global pkg_version     0.05
%global rpm_pkg_version 0.05
%global rpm_pkg_release 1.n0i.3

Summary:       A printf-style prepared statement for DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/DBIx/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(DBD::Mock)
BuildRequires: perl(DBI)


%description
DBIx::Printf is a printf-style prepared statement.
It adds a "printf" method to DBI::db package.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.3
- version 0.05

* Sat Sep 29 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.2
- version 0.04

* Fri Sep 28 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.03
